/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class PositionRequest {
    public floorId: string;

    public mac: string;

    public x: number;

    public y: number;

    /**
     * Creates a PositionRequest.
     *
     * @param {string} floorId
     * @param {string} mac
     * @param {number} x
     * @param {number} y
     */
    constructor(floorId: string, mac: string, x: number, y: number) {
        this.floorId = floorId;
        this.mac = mac;
        this.x = x;
        this.y = y;
    }
}